import { select, 
         range,
         scaleOrdinal,
         scaleLinear,
         schemeTableau10 ,
         tsv,
         nest,
         pie,
         arc,
         selectAll,
         interpolate
        } 
from 'd3';


export const PieChartComponent = (selection,props) =>{


   const render = (data) =>{
      const pieF = pie().value( data => data.count)
      const piePath = pieF(data.values)
      piePath.map(d => d.category = data.key )
      console.log('path',piePath)
      drawChart(piePath)
    }
   
   const drawChart = (piePath) => {
     
       const arcf = arc();	
       const height = props.height
   		 const width = props.width
   		 const pieColorScale = scaleOrdinal(props.colorScale)
   		 const innerRadius = props.innerRadius
   		 const outerRadius = props.outerRadius
   
   		 const group = selection.append("g")
   							.attr("transform",
                      "translate(" + width / 2 + "," + height / 2 + ")");
  
       const groups = group.selectAll('g').data(piePath,d=> d.index)
       const groupEnter = groups.enter().append('g')
       const paths =   groupEnter.append('path')   

       paths.attr('d',d => {
                          const p = arcf({
                          innerRadius: innerRadius-100,
                          outerRadius: 300,
                          startAngle: d.startAngle,
                          endAngle: d.endAngle
                        })
                        return p;
                     })
            .attr('fill',d =>`hsl(${d.index* 160},${60}%,50%)`)
            .transition().delay(200)
            .attrTween('fill',d => t => `hsl(${d.index* 160},${60 + t *100}%,50%)` )
            .attr('d',d => {
                          const p = arcf({
                          innerRadius: innerRadius,
                          outerRadius: 300,
                          startAngle: d.startAngle,
                          endAngle: d.endAngle
                        })
                        return p;
                     })
        paths.attr('stroke-width')   
              

   	}
    
    
    return render;
}


