import { select, 
         range,
         scaleOrdinal,
         scaleLinear,
         schemeTableau10 ,
         tsv,
         nest,
         pie,
         arc,
         selectAll,
         interpolate
        } 
from 'd3';

import {
   PieChartComponent
 }
from './chart';

import{
   OptionComponent
}
from './option'


const form = select('.form1')


const preprocessing = (d) =>{ 
  d.count = + d.count;
  return d;
}

let data = []

tsv("Population.tsv",preprocessing,(d)=>{
  d = preprocessing(d)
  data.push(d)
}).then(()=> {
  
   const regionsByFruit = d3.nest()
    .key((d)=> { return d.Indicator; })
    .entries(data)
   
   console.log(regionsByFruit)
   
   const render = () => {
     
      
			const innerRadius = 200
			const outerRadius = 300
			const pieColorScale = scaleOrdinal(schemeTableau10 );
     
      const width = 1000
			const height = 1000

			const svg = select('.drawing')
                 .attr('height',height)
                 .attr('width',width);
     
 
		  const renderOptions =	 OptionComponent(form,
                 {'selection':svg,
                  'chart':PieChartComponent,
                  'colorScale':schemeTableau10 ,
                  'height':height,
                  'width':width,
                  'default':0,
                  'innerRadius':innerRadius,
                  'outerRadius':outerRadius
                 })
     
      renderOptions(regionsByFruit)
   }
   
   render()  
})











 

 
